import { Topic } from './types';
export declare enum ApiVersion {
    April19 = "2019-04",
    July19 = "2019-07",
    October19 = "2019-10",
    January20 = "2020-01",
    April20 = "2020-04",
    July20 = "2020-07",
    October20 = "2020-10",
    Unstable = "unstable",
    Unversioned = "unversioned"
}
export declare enum DeliveryMethod {
    Http = "http",
    EventBridge = "eventbridge"
}
export interface Options {
    topic: Topic;
    address: string;
    shop: string;
    accessToken: string;
    apiVersion: ApiVersion;
    deliveryMethod: DeliveryMethod;
}
export declare function registerWebhook({ address, topic, accessToken, shop, apiVersion, deliveryMethod, }: Options): Promise<{
    success: boolean;
    result: any;
}>;
//# sourceMappingURL=register.d.ts.map